%global modname grako
%global modfirst %(c=%{modname}; echo ${c:0:1})
%global summary Python grammer compiler, EBNF input, PEG/Packrat parser output

Name:           python-grako
Version:        3.17.0
Release:        1%{?dist}
Summary:        %{summary}

License:        BSD
URL:            https://pypi.python.org/pypi/grako/
Source0:        https://pypi.io/packages/source/%{modfirst}/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
Grako (for "grammar compiler") takes a grammar in a variation of EBNF
as input, and outputs a memoizing PEG/Packrat parser in Python.

%package -n python%{python3_pkgversion}-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{modname}}

%description -n python%{python3_pkgversion}-%{modname}
Grako (for "grammar compiler") takes a grammar in a variation of EBNF
as input, and outputs a memoizing PEG/Packrat parser in Python.

%prep
%setup -q -n %{modname}-%{version}

%build
%py3_build

%install
%py3_install

# In Python shebang lines, remove use of /usr/bin/env,
# without changing timestamps, and set as executable
for f in %{buildroot}%{python3_sitelib}/%{modname}/bootstrap.py
do
    sed 's|/usr/bin/env python|/usr/bin/python3|' $f >$f.new
    touch -r $f $f.new
    mv $f.new $f
    chmod a+x $f
done



%files -n python%{python3_pkgversion}-%{modname}
%license LICENSE.txt
%doc DESCRIPTION.rst README.md
%{_bindir}/%{modname}
%{python3_sitelib}/*

%changelog
* Sun Dec 04 2016 Eric Smith <brouhaha@fedoraproject.org> 3.17.0-1
- Initial version.
